Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Get offering schedule.

Get offering schedule. An organization-scoped read using JSON filter arguments; requires schedule.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/get_offering_schedule
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
now_msstring<date-time>required
offering_idstringrequired

Opaque Soljio resource ID.

min length 1
Responses
200

Successful read.

dataobjectrequired
Show properties
rowsobject[]required
Show properties
Array of object
datestringrequired
end_timestringrequired
has_attendancebooleanrequired
has_enrollmentsbooleanrequired
idstringrequired

Opaque Soljio resource ID.

min length 1
sourcestringrequired
Show properties
Any of:
string
string
string
string
string
string
start_timestringrequired
timezonestringrequired
rulesobject[]required
Show properties
Array of object
days_of_weekstring[]required
Show properties
Array of string
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
duration_minutesnumberrequired
end_datestringrequired
idstringrequired

Opaque Soljio resource ID.

min length 1
interval_weeksnumber
local_start_timestringrequired
start_datestringrequired
timezonestringrequired
timezonestring
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/get_offering_schedule' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "now_ms": "2019-08-24T14:15:22Z",
  "offering_id": "string"
}'
Response
{
  "data": {
    "rows": [
      {
        "date": "string",
        "end_time": "string",
        "has_attendance": true,
        "has_enrollments": true,
        "id": "string",
        "source": "custom",
        "start_time": "string",
        "timezone": "string"
      }
    ],
    "rules": [
      {
        "days_of_week": [
          "monday"
        ],
        "duration_minutes": 0,
        "end_date": "string",
        "id": "string",
        "interval_weeks": 0,
        "local_start_time": "string",
        "start_date": "string",
        "timezone": "string"
      }
    ],
    "timezone": "string"
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}